# Query CPE Information - DescribeCPE

## Overview

Query CPE Information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeCPE`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **CPEId** | string | cpe id |No|
| **Label** | string | Tags: Access, Network |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **CPEInfos** | array[[*CPEInfo*](#cpeinfo)] | CPE Details |No|

#### Data Model


#### CPEInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **CPEId** | string | Resource ID |No|
| **CPEName** | string | Resource Name |No|
| **Remark** | string | Note |No|
| **DeviceTypeName** | string | Device Model |No|
| **Vendor** | string | Vendor |No|
| **PopGwId** | array[string] | Bound UWAN Resource ID |No|
| **Sn** | string | Device SN |No|
| **Status** | int | Status |No|
| **ConfUpdateTime** | int | Configuration Update Time |No|
| **Ports** | array[string] | Port |No|
| **LinkNum** | int | Link Quantity |No|
| **CreateTime** | int | Creation Time |No|
| **LineStatus** | string | Is it bound with the line? |No|
| **ResourceIds** | array[string] | Bound UReach Line Resource ID |No|
| **UseTime** | int | Effective Usage Time (Days) |No|

## Example

### Request Example
    
```
https://api.nubexcloud.com/?Action=DescribeCPE
&ProjectId=UOrTIjzr
&RequestID=HgjZATtq
&CpeId=XGSgRreH
&Sn=RNpHHtvO
&Label=seYMmdVp
```

### Response Example
    
```json
{
  "Action": "DescribeCPEResponse",
  "ConfUpdateTime": "SKBpJSSK",
  "CpeName": "BVhUyuKT",
  "CreateTime": 2,
  "DeviceTypeName": "HGQaAXbm",
  "IsBind": false,
  "LinkNum": 5,
  "Message": "yBoiprcV",
  "PopgwId": "SOYeXahb",
  "Ports": "nbftUARD",
  "Remark": "hjhDiPdZ",
  "RetCode": 0,
  "Sn": "hbtfxWms",
  "Status": 2,
  "Vendor": "gceoCYgk"
}
```





